######################################################
#
# Create sets of attacks
#
#         Modified for Dark Orc
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2




# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Dok","g_01","ATTACKING")
Bladex.SetActionEventTable("Dok","g_02","ATTACKING")
Bladex.SetActionEventTable("Dok","g_06","ATTACKING")
Bladex.SetActionEventTable("Dok","g_15","ATTACKING")
Bladex.SetActionEventTable("Dok","g_16","ATTACKING")
Bladex.SetActionEventTable("Dok","g_18","ATTACKING")

Bladex.SetActionEventTable("Dok","g_12","ATTACKING")

Bladex.SetActionEventTable("Dok","g_13","ATTACKING")

Bladex.SetActionEventTable("Dok","g_01low_new","ATTACKING")    ####




# Predeclare & link all my dodges into DODGING action event tables
Bladex.SetActionEventTable("Dok","D_r", "DODGING")
Bladex.SetActionEventTable("Dok","D_l", "DODGING")
Bladex.SetActionEventTable("Dok","D_b", "DODGING")


Bladex.SetActionEventTable("Dok","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Dok","g_draw_run", "ATTACKING")


Bladex.SetActionEventTable("Dok","g_punch1","ATTACKING")
Bladex.SetActionEventTable("Dok","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Dok","g_kick","ATTACKING")

Bladex.SetActionEventTable("Dok","g_back","ATTACKING")

Bladex.SetActionEventTable("Dok","g_bad_sword1","ATTACKING")
Bladex.SetActionEventTable("Dok","g_bad_sword2","ATTACKING")
Bladex.SetActionEventTable("Dok","g_bad_sword3","ATTACKING")
Bladex.SetActionEventTable("Dok","g_bad_spear2","ATTACKING")


Bladex.SetActionEventTable("Dok","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dok","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dok","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dok","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dok","g_bad_1h", "ATTACKING_NOMOVE")




#############################################################

dok=Bladex.GetCharType("Dark_Ork","Dok")

#############################################################
### NPC only

dok.AttackTypeFlag("COMBO1",ATK_SEQUENTIAL)
dok.AddAttack("COMBO1","Dok_g_06")
dok.AddAttack("COMBO1","Dok_g_02")
dok.AddAttack("COMBO1","Dok_g_18")

dok.AttackTypeFlag("COMBO2",ATK_SEQUENTIAL)
dok.AddAttack("COMBO2","Dok_g_16")
dok.AddAttack("COMBO2","Dok_g_01")

dok.AttackTypeFlag("COMBO3",ATK_SEQUENTIAL)
dok.AddAttack("COMBO3","Dok_g_02")
dok.AddAttack("COMBO3","Dok_g_06")
dok.AddAttack("COMBO3","Dok_g_01")

###############################
# GRUPO PARA ESCALERAS        #
###############################

dok.AddAttack("STAIRS","Dok_g_16")
dok.AssignTrail("STAIRS","","EstelaAmarilla1")
dok.AddAttack("STAIRS","Dok_g_18")
dok.AssignTrail("STAIRS","","EstelaRoja1")
dok.AttackTypeFlag("STAIRS",ATK_RANDOM)

##############################################################

#GI "group"
dok.AddAttack("G1_1H","Dok_g_01")
dok.AttackWindow("Dok_g_01",0.001,0.999,"G1_1H_Window")


#COMBO1 # left
dok.AddAttack("GM12_1H","Dok_g_02")
dok.AttackWindow("Dok_g_02",0.408,0.725,"GM12_1H_Window")
dok.AddLevels("Dok_g_02",0,40)


#COMBO2 # right
dok.AddAttack("GM14_1H","Dok_g_06")
dok.AttackWindow("Dok_g_06",0.265,0.586,"GM14_1H_Window")
dok.AddLevels("Dok_g_06",0,40)


#COMBO3 # windmill
dok.AddAttack("GM16_1H","Dok_g_16")
dok.AttackWindow("Dok_g_16",0.391,0.661,"GM16_1H_Window")
dok.AddLevels("Dok_g_16",0,40)
dok.AssignTrail("GM16_1H","","EstelaAmarilla1")



#COMBO4 # down
dok.AddAttack("GM18_1H","Dok_g_18")
dok.AttackWindow("Dok_g_18",0.001,0.900,"GM18_1H_Window")
dok.AddLevels("Dok_g_18",0,40)


### low
dok.AddAttack("GM19_1H","Dok_g_01low_new")#### dwf?
dok.AttackWindow("Dok_g_01low_new",0.001,0.900,"GM19_1H_Window")
dok.AddLevels("Dok_g_01low_new",0,40)

### bonebreaker
dok.AddAttack("GM17_1H","Dok_g_12")
dok.AttackWindow("Dok_g_12",0.420,0.656,"GM17_1H_Window")
dok.AssignTrail("GM17_1H","","EstelaRoja1")
dok.AddLevels("Dok_g_12",0,40)

##### brutality
dok.AddAttack("GM28_1H","Dok_g_13")
dok.AttackWindow("Dok_g_13",0.001,0.900,"GM28_1H_Window")
dok.AssignTrail("GM28_1H","","EstelaRoja1")
dok.AddLevels("Dok_g_13",0,40)




#### unarmed

dok.AddAttack("GM22_NO","Dok_g_punch1")   # was 19
dok.AddLevels("Dok_g_punch1",0,40)

#GOLPESINARMA2 "group"
dok.AddAttack("GM20_NO","Dok_g_punch2")
dok.AddLevels("Dok_g_punch2",0,40)

#GOLPESINARMA3 "group"
dok.AddAttack("GM21_NO","Dok_g_kick")
dok.AddLevels("Dok_g_kick",0,40)

#### Bad moves

#COMBOHACHATORPE group
dok.AddAttack("GM1_AXE","Dok_g_bad_axe")
dok.AttackWindow("Dok_g_bad_axe",0.435,0.643,"GM1_AXE_Window")
dok.AssignTrail("GM1_AXE","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_axe",0,8)

#COMBOHACHATORPE2 group
dok.AddAttack("GM7_AXE","Dok_g_bad_spear")
dok.AttackWindow("Dok_g_bad_spear",0.461,0.748,"GM7_AXE_Window")
dok.AssignTrail("GM7_AXE","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_spear",0,20)

#COMBOESPADATORPE1 group
dok.AddAttack("GM2_2W","Dok_g_bad_sword1")
dok.AttackWindow("Dwf_g_bad_sword1",0.225,0.575,"GM2_2W_Window")
dok.AssignTrail("GM2_2W","","EstelaAmarilla1")
dok.AddLevels("Dwf_g_bad_sword1",0,40)

#COMBOESPADATORPE2 group
dok.AddAttack("GM3_2W","Dok_g_bad_sword2")
dok.AttackWindow("Dok_g_bad_sword2",0.464,0.741,"GM3_2W_Window")
dok.AssignTrail("GM3_2W","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_sword2",0,40)

#COMBOESPADATORPE2 group
dok.AddAttack("GM4_2W","Dok_g_bad_sword3")
dok.AttackWindow("Dok_g_bad_sword3",0.427,0.807,"GM4_2W_Window")
dok.AssignTrail("GM4_2W","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_sword3",0,40)

#COMBOLANZATORPE1 group
dok.AddAttack("GM5_SP","Dok_g_bad_spear")
dok.AttackWindow("Dok_g_bad_spear",0.283,0.519,"GM5_SP_Window")
dok.AssignTrail("GM5_SP","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_spear",0,40)

#COMBOLANZATORPE2 group
dok.AddAttack("GM6_SP","Dok_g_bad_spear2")
dok.AttackWindow("Dok_g_bad_spear2",0.461,0.748,"GM6_SP_Window")
dok.AssignTrail("GM6_SP","","EstelaAmarilla1")
dok.AddLevels("Dok_g_bad_spear2",0,40)

################################################################################

################################################################################


#GAI meta-group

dok.MetaAttack("GIM_1H","G1_1H")
dok.MetaAttack("GIM_1H","GM12_1H")
dok.MetaAttack("GIM_1H","GM14_1H")
dok.MetaAttack("GIM_1H","GM16_1H")
dok.MetaAttack("GIM_1H","GM18_1H")
dok.MetaAttack("GIM_1H","GM19_1H")
dok.MetaAttack("GIM_1H","GM17_1H")### 
dok.MetaAttack("GIM_1H","GM28_1H")
dok.MetaAttack("GIM_NO","GM22_NO")
dok.MetaAttack("GIM_NO","GM20_NO")
dok.MetaAttack("GIM_NO","GM21_NO")
dok.MetaAttack("GIM_AXE","GM1_AXE")
dok.MetaAttack("GIM_2W","GM2_2W")
dok.MetaAttack("GIM_2W","GM3_2W")
dok.MetaAttack("GIM_2W","GM4_2W")
dok.MetaAttack("GIM_SP","GM5_SP")
dok.MetaAttack("GIM_SP","GM6_SP")
dok.MetaAttack("GIM_SP","GM7_AXE")



dok.MetaAttack("COMBO1","GM12_1H")
dok.MetaAttack("COMBO1","GM14_1H")
dok.MetaAttack("COMBO1","GM16_1H")
dok.MetaAttack("COMBO1","GM18_1H")
dok.MetaAttack("GIM_1H","GM19_1H")
dok.MetaAttack("COMBO1","GM17_1H")
dok.MetaAttack("COMBO1","GM28_1H")
dok.MetaAttack("COMBO1","GM22_NO")
dok.MetaAttack("COMBO1","GM20_NO")
dok.MetaAttack("COMBO1","GM21_NO")
dok.MetaAttack("COMBO1","GM1_AXE")
dok.MetaAttack("COMBO1","GM2_2W")
dok.MetaAttack("COMBO1","GM3_2W")
dok.MetaAttack("COMBO1","GM4_2W")
dok.MetaAttack("COMBO1","GM5_SP")
dok.MetaAttack("COMBO1","GM6_SP")
dok.MetaAttack("COMBO1","GM7_AXE")


######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#
######################################################


#COMBOARRIBA1
dok.AllowAttack("GM12_1H","A+R","","GM12_1H","","1H")
dok.AllowAttack("GM12_1H","&A+R","","GM12_1H","","1H")


#COMBODERECHA1
dok.AllowAttack("GM14_1H","A+L","","GM14_1H","","1H")
dok.AllowAttack("GM14_1H","&A+L","","GM14_1H","","1H")


#COMBOIZQUIERDA1
dok.AllowAttack("GM19_1H","A+B","","GM19_1H","","1H")
dok.AllowAttack("GM19_1H","&A+B","","GM19_1H","","1H")


#COMBOABAJO1
dok.AllowAttack("GM18_1H","A+F","","GM18_1H","","1H")
dok.AllowAttack("GM18_1H","&A+F","","GM18_1H","","1H")


#GOLPESINARMA1
dok.AllowAttack("GM22_NO","A","","COMBO1,COMBO1","","NO")

#GOLPESINARMA2
dok.AllowAttack("GM20_NO","A+B","","COMBO1","","NO")
dok.AllowAttack("GM20_NO","&A+B","","COMBO1","","NO")

#GOLPESINARMA3
dok.AllowAttack("GM21_NO","A+F","","COMBO1","","NO")
dok.AllowAttack("GM21_NO","&A+F","","COMBO1","","NO")


###COMBOHACHATORPE2
dok.AllowAttack("GM7_AXE","A+R","","","GM7_AXE_Window","AXE")
dok.AllowAttack("GM7_AXE","&A+R","","","GM7_AXE_Window","AXE")

#COMBOHACHATORPE1
dok.AllowAttack("GM1_AXE","A","","","GM1_AXE_Window","AXE")

#COMBOESPADATORPE3
dok.AllowAttack("GM4_2W","A","GM3_2W","","GM3_2W_Window","2W")

#COMBOESPADATORPE2
dok.AllowAttack("GM3_2W","A","","COMBO1,COMBO1,COMBO1","GM4_2W_Window","2W")

#COMBOLANZATORPE2
dok.AllowAttack("GM6_SP","A","GM5_SP","","GM5_SP_Window","SP")

#COMBOLANZATORPE1
dok.AllowAttack("GM5_SP","A","","COMBO1,COMBO1,COMBO1","GM6_SP_Window","SP")



dok.AllowAttack("GM16_1H","R+L","GIM_1H","","GI_1H_Window","1H")   ## 16 windmill

dok.AllowAttack("GM17_1H","B+R","GIM_1H","","GI_1H_Window","1H")   ## 17 bonebreaker


#GI
dok.AllowAttack("G1_1H","A","","GIM_1H","GI_1H_Window","1H")

dok.AllowAttack("GM28_1H","&F","GM18_1H","","GM18_1H_Window","1H")




print"loaded new Dark Orc combos"














